diff -Nru notmuch-0.13.2/debian/control notmuch-0.13.2/debian/control
--- notmuch-0.13.2/debian/control	2012-06-02 23:17:42.000000000 +0200
+++ notmuch-0.13.2/debian/control	2012-08-01 12:11:03.000000000 +0200
@@ -14,6 +14,7 @@
  libtalloc-dev,
  libz-dev,
  python-all (>= 2.6.6-3~),
+ python3-all (>= 3.1.2-7~),
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
  gdb,
  dtach (>= 0.8)
@@ -74,6 +75,19 @@
  This package provides a Python interface to the notmuch
  functionality, directly interfacing with a shared notmuch library.
 
+Package: python3-notmuch
+Architecture: all
+Section: python
+Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3
+Description: Python 3 interface to the notmuch mail search and index library
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package provides a Python 3 interface to the notmuch
+ functionality, directly interfacing with a shared notmuch library.
+
 Package: notmuch-emacs
 Architecture: all
 Section: mail
diff -Nru notmuch-0.13.2/debian/python-notmuch.install notmuch-0.13.2/debian/python-notmuch.install
--- notmuch-0.13.2/debian/python-notmuch.install	2012-06-02 23:17:42.000000000 +0200
+++ notmuch-0.13.2/debian/python-notmuch.install	2012-08-01 11:26:07.000000000 +0200
@@ -1 +1 @@
-usr/lib/python*
+usr/lib/python2*
diff -Nru notmuch-0.13.2/debian/python3-notmuch.install notmuch-0.13.2/debian/python3-notmuch.install
--- notmuch-0.13.2/debian/python3-notmuch.install	1970-01-01 01:00:00.000000000 +0100
+++ notmuch-0.13.2/debian/python3-notmuch.install	2012-08-01 11:26:06.000000000 +0200
@@ -0,0 +1 @@
+usr/lib/python3*
diff -Nru notmuch-0.13.2/debian/rules notmuch-0.13.2/debian/rules
--- notmuch-0.13.2/debian/rules	2012-06-02 23:17:42.000000000 +0200
+++ notmuch-0.13.2/debian/rules	2012-08-01 12:11:02.000000000 +0200
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+python3_all = py3versions -s | xargs -n1 | xargs -t -I {} env {}
+
 %:
-	dh --with python2 $@
+	dh --with python2,python3 $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch
@@ -9,13 +11,16 @@
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --sourcedirectory bindings/python
+	cd bindings/python && $(python3_all) setup.py build
 	$(MAKE) -C contrib/notmuch-mutt
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --sourcedirectory bindings/python
+	cd bindings/python && $(python3_all) setup.py clean -a
 	$(MAKE) -C contrib/notmuch-mutt clean
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_auto_install --sourcedirectory bindings/python
+	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
